(*i Be careful! Some comments of this file are formatted for ocamlweb. *)

(*i*)
open Common
(*i*)

(* This is the interface for variable sets *)

module Variable_set :
  functor (Variable_type : PRINTABLE_TYPE) ->
sig
  type variable = Variable_type.t
  type t
  val empty : t
  val is_empty : t -> bool
  val mem : variable -> t -> bool
  val to_string : t -> string
  val to_string_list: t -> string list
  val parse : Genlex.token Stream.t -> t
end
